Subject: [Cose] FW: New Version Notification for draft-ietf-cose-msg-01.txt

From: "Jim Schaad" <[email-masked]>
Date: Sun, 5 Jul 2015 16:59:56 -0700

This new version announcement does not seem to have gone to the COSE mailing list.

This version picks up changes I have made from the posting of the last version until this version with the exception of adding in the strawman that I put in for all of the algorithms.  The strawman with algorithms is posted on the github repository https://cose-wg.github.io/cose-spec/.

I have also added a pointer in the readme at the github site that will do a rfcdiff between the current draft posted on the IETF site and the current editor's working draft.  This can be used to look at the strawman changes for algorithms.  (I forgot to remove the algorithm update from the list of changes In the posted draft.)

It will need to be a working group decision if the algorithms are going to be in a separate document or in this document.  I expect that to be discussed on the list and in Prague.

I will be reviewing the open issues list over the next two weeks to see what I think has been addressed and start raising issues on the mailing list again.  I have been spending much of the time working on the changes to get integers used as map labels.  It is time for people to look at the resulting document and either make suggestions or approvals on how it was done.  I expect that I still have a couple of rounds of edits to get things to match my expectations, but it should be close to what I believe needed to be done.

Jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Sunday, July 05, 2015 2:44 PM
> To: Jim Schaad; Jim Schaad
> Subject: New Version Notification for draft-ietf-cose-msg-01.txt
> 
> 
> A new version of I-D, draft-ietf-cose-msg-01.txt has been successfully
> submitted by Jim Schaad and posted to the IETF repository.
> 
> Name:		draft-ietf-cose-msg
> Revision:	01
> Title:		CBOR Encoded Message Syntax
> Document date:	2015-07-05
> Group:		cose
> Pages:		46
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-cose-msg-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-cose-msg/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-cose-msg-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-cose-msg-01
> 
> Abstract:
>    Concise Binary Object Representation (CBOR) is data format designed
>    for small code size and small message size.  There is a need for the
>    ability to have the basic security services defined for this data
>    format.  This document specifies how to do signatures, message
>    authentication codes and encryption using this data format.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat